Attach or update a tool on an agent
curl --request POST \
--url https://api.kataven.ai/v1/api/v1/agents/{id}/tools \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"config": {},
"enabled": true,
"tool_name": "lookup_order"
}
'import requests
url = "https://api.kataven.ai/v1/api/v1/agents/{id}/tools"
payload = {
"agent_id": "agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
"config": {},
"enabled": True,
"tool_name": "lookup_order"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 'agent_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z',
config: {},
enabled: true,
tool_name: 'lookup_order'
})
};
fetch('https://api.kataven.ai/v1/api/v1/agents/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>""<string>"Agents
Attach or update a tool on an agent
Idempotent insert-or-update of one (agent_id, tool_name) row. Both POST and PUT are accepted.
POST
/
api
/
v1
/
agents
/
{id}
/
tools
Attach or update a tool on an agent
Authorizations
Headers
Tenant database. Required when using a Zitadel JWT.
Path Parameters
Agent id
Body
application/json
Tool config
Response
Saved

